package com.zx.dataservice.mapper2;

import com.zx.dataservice.pojo.StockPojo;
import com.zx.dataservice.pojo.StockRestPojo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface StockMapper {
    void updateStockInfo(@Param("stockCode") String stockCode, @Param("info") StockRestPojo stockRestPojo);

    void updateBatchStockInfo(@Param("list") List<StockRestPojo> stockRestPojoList);

    Integer selectStockByStockCode(@Param("stockCode") String stockCode);

    void insertStock(@Param("info") StockPojo stockPojo);
}
