package com.zx.dataservice.mapper3;

import com.zx.dataservice.pojo.HistoryPojo;
import com.zx.dataservice.pojo.StockHistPojo;
import com.zx.dataservice.pojo.StockRestPojo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface CreatorMapper {

    HistoryPojo selectHistory(@Param("tableName") String tableName);

    void insertRt(@Param("info") StockRestPojo stockRestPojo, @Param("tableName") String tableName);

    StockRestPojo selectRtLimitOne(@Param("tableName") String tableName);

    void deleteHistoryTemp(@Param("tableName") String tableName);

    StockRestPojo selectRtAll(@Param("tableName") String tableName);

    void insertHistory(@Param("info") StockHistPojo stockHistPojo, @Param("tableName") String histTableName);
}
